Bug 683150 - Review Request: yad - Display graphical dialogs from shell scripts or command line
Review Request: yad - Display graphical dialogs from shell scripts or command...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
: 580755 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 12:14 EST by Elder Marco
Modified: 2014-09-23 23:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: yad-0.27.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-22 15:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Elder Marco 2011-03-08 12:14:11 EST
Spec URL: 
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL: 
http://eldermarco.fedorapeople.org/files/srpmsyad-0.9.0-1.fc14.src.rpm

Description:
Yad (yet another dialog) is a fork of Zenity with many improvements,
such as custom buttons, additional dialogs, pop-up menu in notification
icon and more.

This is my first package, so I need a sponsor
Comment 1 Elder Marco 2011-03-08 12:18:03 EST
I'm sorry. The correct URL for SRPM is:

http://eldermarco.fedorapeople.org/files/srpms/yad-0.9.0-1.fc14.src.rpm
Comment 2 Raghu Udiyar 2011-03-13 10:59:02 EDT
Hi,

Just a few comments :

- BuildRoot tag is not required any more :
http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

- %clean section not required for F13 and above
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

- Use desktop-file-validate :
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

- Upstream seems to have released a new version (0.9.1), please update the package to this release.

- Run rpmlint and fix the errors/warnings it throws. Here's what I got :

$ rpmlint yad.spec ../RPMS/i686/yad-* ../SRPMS/yad-0.9.0-1.fc14.src.rpm 
yad.spec: W: invalid-url Source0: http://yad.googlecode.com/files/yad-0.9.0.tar.xz HTTP Error 404: Not Found
yad.i686: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s, dialings
yad.i686: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
yad.i686: W: no-manual-page-for-binary yad-icon-browser
yad-devel.i686: W: no-documentation
yad-devel.i686: W: no-manual-page-for-binary yad-icon-browser
yad.src: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s, dialings
yad.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
yad.src: W: invalid-url Source0: http://yad.googlecode.com/files/yad-0.9.0.tar.xz HTTP Error 404: Not Found
4 packages and 1 specfiles checked; 0 errors, 9 warnings.
Comment 3 Elder Marco 2011-03-13 14:17:34 EDT
Hi Raghu, thanks.

Updated to new version (0.9.1). There is no clean section or BuildRoot tag any more.

Spec URL (updated):
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL: 
http://eldermarco.fedorapeople.org/files/srpms/yad-0.9.1-1.fc14.src.rpm

Changelog:

* Sun Mar 13 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.1-1
- New upstream release
- Added desktop-file-utils as BuildRequires.
- Removed clean section and BuildRoot tag (not required any more).
- Removed Encoding key from .desktop file.

Running rpmlint, I got:

-------------------------
$ rpmlint yad.spec ../RPMS/i686/yad-0.9.1-1.fc14.i686.rpm ../RPMS/i686/yad-devel-0.9.1-1.fc14.i686.rpm ../SRPMS/yad-0.9.1-1.fc14.src.rpm 
yad.spec: W: invalid-url Source0: http://yad.googlecode.com/files/yad-0.9.1.tar.xz HTTP Error 404: Not Found
yad.i686: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s, dialings
yad.i686: W: spelling-error %description -l en_US zenity -> lenity, zenith, amenity
yad.i686: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
yad-devel.i686: W: no-documentation
yad-devel.i686: W: no-manual-page-for-binary yad-icon-browser
yad.src: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s, dialings
yad.src: W: spelling-error %description -l en_US zenity -> lenity, zenith, amenity
yad.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
yad.src: W: invalid-url Source0: http://yad.googlecode.com/files/yad-0.9.1.tar.xz HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 0 errors, 10 warnings.
----------------------------------

- The URL is correct. I don't know why this happens..
- The correct is 'dialog/dialogs' and 'zenity'. There is no spelling error.
- The upstream doesn't provides any documentation for the devel package. So, there is no manual for yad-icon-browser.
Comment 4 Elder Marco 2011-03-30 18:02:32 EDT
Updated (new upstream release):

SPEC URL:
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL:
http://eldermarco.fedorapeople.org/files/srpms/yad-0.10.0-1.fc14.src.rpm
Comment 5 Elder Marco 2011-04-12 17:14:45 EDT
Updated (new upstream release):

SPEC URL:
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL:
http://eldermarco.fedorapeople.org/files/srpms/yad-0.10.0-1.fc14.src.rpm
Comment 6 Elder Marco 2011-04-12 17:17:01 EDT
Ooops,

Correcting, SRPM URL is:

http://eldermarco.fedorapeople.org/files/srpms/yad-0.10.1-1.fc14.src.rpm

:)
Comment 8 Christoph Wickert 2011-06-26 19:38:38 EDT
*** Bug 580755 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Wickert 2011-06-26 20:20:38 EDT
Hi Raghu,

thanks for looking at this package.

(In reply to comment #2)
> - BuildRoot tag is not required any more :
> http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
> 
> - %clean section not required for F13 and above
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

None of them are required, however there is nothing wrong with having them in the spec for compatibility with older rpm versions as we have them e.g. in EPEL.

(In reply to comment #3)
> - The URL is correct. I don't know why this happens..

It's a bug in rpmlint and happens to all googlecode projects. spectool works fine:

$ spectool -g yad.spec 
Getting http://yad.googlecode.com/files/yad-0.12.3.tar.xz to ./yad-0.12.3.tar.xz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  141k  100  141k    0     0   309k      0 --:--:-- --:--:-- --:--:--  339k


REVIEW of b5c4bbc2bad037a133d80fc6a4466a72  yad-0.12.3-1.fc15.src.rpm

OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/yad-*
yad.src: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s
yad.src: W: spelling-error %description -l en_US zenity -> zenith
yad.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
yad.x86_64: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s
yad.x86_64: W: spelling-error %description -l en_US zenity -> zenith
yad.x86_64: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/progress.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/icons.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/form.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/calendar.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/option.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/util.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/text.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/list.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/entry.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/yad.h
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/file.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/scale.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/color.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/browser.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/about.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/main.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/dnd.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/font.c
yad-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/yad-0.12.3/src/notification.c
yad-devel.x86_64: W: no-documentation
yad-devel.x86_64: W: no-manual-page-for-binary yad-icon-browser
4 packages and 0 specfiles checked; 19 errors, 8 warnings.

All these can be ignored.

OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines
FIX - MUST: License field in spec file does not match the actual license: If you look into the headers of the source code you will see "or (at your option) any later version." This means GPLv3+ rather than GPLv3

OK - MUST: license file included in %doc
OK - MUST: spec is in American English
FIX - MUST: spec is legible: it is legible, but could be a little better.
  -- Please only indent lines if a command from the previous line continues. Lines 47, 51, 53, 55 and 65 should not be indented.
  -- Line 45 is indented with 8 spaces, other only use 4. Please use the same indention all the time.
  -- Please use the full length of a line for the description, up to 80 characters

OK - MUST: sources match the upstream source by MD5 4f745b58672dbfb23b96e319bdf49c96
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: owns all directories that it creates (none)
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: library files that end in .so are in the -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: package does not own files or directories already owned by other packages.
OK - Should: at the beginning of %install, the package runs rm -rf %{buildroot}
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are sane
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg:
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin
OK - SHOULD: package should contain man pages for binaries/scripts.

Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete
Well... - SHOULD: package has a %clean section, which contains rm -rf %{buildroot}.
N/A - SHOULD: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.


Things that need fixing:

- You don't need no yad-devel package. Drop the m4 file and move the icon-browser to the base package.

- Fix license tag, see above

- Fix formatting, see above

- Please don't use macros for simple things like %{__rm} or %{__make}. You never know if/how they are defined.

- The file AUTHORS needs to be in %doc

- Don't specify the manpage with extension. We might switch from gz to another compression method. %{_mandir}/man1/%{name}.1.* is fine.


Things that should eventually be fixed:

- Bring back BuildRoot and %clean for compatibility.

- Get in touch with touch with upstream and tell him that the FSF address is outdated. Even better: Provide a patch.
Comment 10 Elder Marco 2011-06-26 22:14:59 EDT
Hi Christoph, thanks for your review.

SPEC URL:
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL:
http://eldermarco.fedorapeople.org/files/srpms/yad-0.12.3-2.fc15.src.rpm

> 
> (In reply to comment #3)
> > - The URL is correct. I don't know why this happens..
> 
> It's a bug in rpmlint and happens to all googlecode projects. spectool works
> fine:
> 
Thanks.

> FIX - MUST: License field in spec file does not match the actual license: If
> you look into the headers of the source code you will see "or (at your option)
> any later version." This means GPLv3+ rather than GPLv3

Fixed. Now, the license field is GPLv3+
 
> FIX - MUST: spec is legible: it is legible, but could be a little better.
>   -- Please only indent lines if a command from the previous line continues.
> Lines 47, 51, 53, 55 and 65 should not be indented.
>   -- Line 45 is indented with 8 spaces, other only use 4. Please use the same
> indention all the time.
>   -- Please use the full length of a line for the description, up to 80
> characters

Fixed. 
 
> Well... - SHOULD: package has a %clean section, which contains rm -rf
> %{buildroot}.
Added clean section again

> 
> Things that need fixing:
> 
> - You don't need no yad-devel package. Drop the m4 file and move the
> icon-browser to the base package.
There's no yad-devel now.

> - Please don't use macros for simple things like %{__rm} or %{__make}. You
> never know if/how they are defined.
Fixed. Using rm, make, etc instead %{__rm}, %{__make}, etc.
 
> - The file AUTHORS needs to be in %doc
Added.

> - Don't specify the manpage with extension. We might switch from gz to another
> compression method. %{_mandir}/man1/%{name}.1.* is fine.
Fixed.
 
> Things that should eventually be fixed:
> 
> - Bring back BuildRoot and %clean for compatibility.
Added BuildRoot field and %clean section again.
 
> - Get in touch with touch with upstream and tell him that the FSF address is
> outdated. Even better: Provide a patch.
I sent a message for him. Unfortunately, I do not know how to generate a patch from svn..

Thanks again.
Comment 11 Elder Marco 2011-06-27 09:59:08 EDT
> - Get in touch with touch with upstream and tell him that the FSF address is
> outdated. Even better: Provide a patch.
Fixed in revision 333. http://code.google.com/p/yad/source/detail?r=333
Comment 12 Elder Marco 2011-06-28 12:23:47 EDT
Oh, generate a patch with svn is very easy. :)

Added patch to fix FSF address (upstream revision 334)

SPEC URL:
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL:
http://eldermarco.fedorapeople.org/files/srpms/yad-0.12.3-3.fc15.src.rpm

Koji task Info:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3166957
Comment 13 Elder Marco 2011-06-28 12:28:32 EDT
rpmlint output:

yad.x86_64: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s
yad.x86_64: W: spelling-error %description -l en_US zenity -> zenith
yad.x86_64: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
yad.x86_64: W: no-manual-page-for-binary yad-icon-browser
yad.src: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s
yad.src: W: spelling-error %description -l en_US zenity -> zenith
yad.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
yad.src: W: invalid-url Source0: http://yad.googlecode.com/files/yad-0.12.3.tar.xz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 14 Christoph Wickert 2011-06-28 14:29:29 EDT
Fixing the FSF address was not really needed to finish this review, but it doesn't hurt either.

The package is APPROVED.

Before I sponsor you into the packagers group I'd like to know if you did other packages or have participated in other reviews. You can always help by adding useful comments and you can even do an informal pre-review as long as you indicate it is not official and you don't set the fedora‑review+ flag.
Comment 15 Elder Marco 2011-06-28 15:59:58 EDT
Thanks Christoph. 

Yes, I did. For personal use 
http://eldermarco.fedorapeople.org/files/srpms/

There are another packages, but the packages aren't open source.

So, this is officially my first package. I'm new here because I was - and I'm -- learning English before (my first language is Brazilian Portuguese). However, I made comments here: 

https://bugzilla.redhat.com/show_bug.cgi?id=539693

There is a bug that I also registered:

https://bugzilla.redhat.com/show_bug.cgi?id=618447

I'll participate more from now. :)
Comment 16 Elder Marco 2011-07-08 11:42:33 EDT
ping? 

Hi Christoph, Is it possible to create a SCM Request?

These are some of my spec files:

http://www.eldermarco.com/specs/
Comment 17 Christoph Wickert 2011-07-08 12:45:46 EDT
What I have seen from you in this review and others all makes sense, however I'd like you to do a pre-review of a package, say bug 716299. That means you make a full review with the criteria of http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Please state that this is only an informal review and you are not allowed to approve the package yet.
Comment 18 Elder Marco 2011-07-08 13:01:39 EDT
Oops, this is de correct review request. I'm sorry. :)

I'll try to do this pre-review.
Comment 19 Christoph Wickert 2011-07-08 13:16:02 EDT
No problem, don't hurry. I am very busy, too.

One more thing about this review: yad 0.12.4 is out. And maybe it is a good idea to bring back the yad-devel package, because the icon-browser in the menu under "Development" sucks. Many people have no development tools installed, so they will have a new group in the menu just for a single more or less useless program.

So you could either bring back the -devel package and put the icon browser in there or place the menu entry for icon-browser unter "Utilities". You can easily to this with desktop-file-install.
Comment 20 Elder Marco 2011-07-08 19:51:23 EDT
> So you could either bring back the -devel package and put the icon browser in
> there or place the menu entry for icon-browser unter "Utilities". You can
> easily to this with desktop-file-install.
I placed menu entry for yad-icon-browser under "Utilities". 

SPEC URL:
http://eldermarco.fedorapeople.org/files/specs/yad.spec

SRPM URL:
http://eldermarco.fedorapeople.org/files/srpms/yad-0.12.4-2.fc15.src.rpm

I made a review for bug #716299. 

Thanks again.
Comment 21 Christoph Wickert 2011-07-08 22:35:14 EDT
One minor thing:

desktop-file-install --remove-key=Encoding     \
    --remove-category Development              \
    --add-category    Utility                  \

Either use 

desktop-file-install --remove-key Encoding     \
    --remove-category Development              \
    --add-category    Utility                  \

or

desktop-file-install --remove-key=Encoding     \
    --remove-category=Development              \
    --add-category=Utility                     \

It doesn't make a difference, just for consistency.

I have now sponsored you. Congratulations!
Comment 22 Elder Marco 2011-07-09 10:47:27 EDT
(In reply to comment #21)
> One minor thing:
> 
> desktop-file-install --remove-key=Encoding     \
>     --remove-category Development              \
>     --add-category    Utility                  \
> 
> Either use 
> 
> desktop-file-install --remove-key Encoding     \
>     --remove-category Development              \
>     --add-category    Utility                  \
> 
> or
> 
> desktop-file-install --remove-key=Encoding     \
>     --remove-category=Development              \
>     --add-category=Utility                     \
> 
> It doesn't make a difference, just for consistency.
It's truth. I'll change it. Thanks.
 
> I have now sponsored you. Congratulations!
Thank you very much. :)
Comment 23 Elder Marco 2011-07-09 10:54:51 EDT
New Package SCM Request
=======================
Package Name: yad
Short Description: Display graphical dialogs from shell scripts or command line
Owners: eldermarco
Branches: f14 f15
InitialCC:
Comment 24 Gwyn Ciesla 2011-07-09 19:16:06 EDT
Git done (by process-git-requests).
Comment 25 Fedora Update System 2011-07-09 21:47:18 EDT
yad-0.12.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/yad-0.12.4-2.fc15
Comment 26 Fedora Update System 2011-07-09 21:54:21 EDT
yad-0.12.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yad-0.12.4-2.fc14
Comment 27 Fedora Update System 2011-07-12 00:57:17 EDT
yad-0.12.4-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 28 Fedora Update System 2011-07-22 15:32:13 EDT
yad-0.12.4-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 29 Fedora Update System 2011-07-22 15:37:29 EDT
yad-0.12.4-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 30 Elder Marco 2014-08-27 09:52:24 EDT
Package Change Request
======================
Package Name: yad
New Branches: el5 el6 epel7
Owners: eldermarco
Comment 31 Gwyn Ciesla 2014-08-27 12:52:29 EDT
Git done (by process-git-requests).
Comment 32 Fedora Update System 2014-08-30 16:31:15 EDT
yad-0.27.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/yad-0.27.0-1.el7
Comment 33 Fedora Update System 2014-08-30 16:32:57 EDT
yad-0.27.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yad-0.27.0-1.el6
Comment 34 Fedora Update System 2014-09-12 15:07:04 EDT
yad-0.27.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 35 Raphael Groner 2014-09-13 05:01:52 EDT
You should adjust the URL cause of the reasoning at the old homepage:

> !!! PROJECT MOVED to SourceForge due to google politics about file hosting !!!
> New address - https://sourceforge.net/projects/yad-dialog/
Comment 36 Elder Marco 2014-09-13 07:52:40 EDT
Hi Raphael,

No problem. Fixed, thanks! :)
Comment 37 Fedora Update System 2014-09-23 23:50:19 EDT
yad-0.27.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.